Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
ATI-Drivers stopped working with 4.0.5 kernel
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3  Next  
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
cca
n00b
n00b


Joined: 07 Jun 2004
Posts: 38
Location: Greece

PostPosted: Thu Aug 27, 2015 6:14 am    Post subject: Reply with quote

I run into this bug yesterday as I was attempting to install ati-drivers for my new AMD R9 285. For now these patches work, the real solution will come with the new "amdgpu" driver that will appear in the kernel 4.2 and will support these cards.
Back to top
View user's profile Send private message
ezfranca
n00b
n00b


Joined: 20 Jun 2005
Posts: 9
Location: Brazil

PostPosted: Fri Aug 28, 2015 11:45 pm    Post subject: Reply with quote

Hi guys!

I have a hybrid ATI/Intel on a new Dell Inspirion

I am struggling wih he fglrx too. I am using the 4.0.5 too. I am able to compile the driver after the patch, but now, I just get a black screen with the mouse pointer.

When I Switch the xorg config to the intel, it is ok.

I had the same trouble and the same errors as yours, but after the patch, i just get the blank screen and no errors on the log.
_________________
[]'s
eZ
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7550
Location: Goose Creek SC

PostPosted: Sat Aug 29, 2015 2:23 am    Post subject: Reply with quote

does eselect opengl list show ati selected?
_________________
Defund the FCC.
Back to top
View user's profile Send private message
ezfranca
n00b
n00b


Joined: 20 Jun 2005
Posts: 9
Location: Brazil

PostPosted: Wed Sep 02, 2015 2:03 pm    Post subject: Reply with quote

DONAHUE wrote:
does eselect opengl list show ati selected?


Yes
_________________
[]'s
eZ
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7550
Location: Goose Creek SC

PostPosted: Wed Sep 02, 2015 4:13 pm    Post subject: Reply with quote

no hybrid graphics machines here
Does X -retro produce a stippled black/white screen with a movable mouse cursor?
If so the desktop/window manager/display manager are suspect.
_________________
Defund the FCC.
Back to top
View user's profile Send private message
ezfranca
n00b
n00b


Joined: 20 Jun 2005
Posts: 9
Location: Brazil

PostPosted: Thu Sep 03, 2015 12:31 am    Post subject: Reply with quote

Well, I spent most of my day trying to make it work and I finally did it!

I've testes different combinations of kernels and drivers. First, I rebuild the packages just with VIDEO_CARDS=intel and made it work.

Then, I tried to emerge the ati-drivers, that only worked when I patched with this:

theism wrote:
patch for fglrx 15.1 with kernel 4.0.4: http://blackcatlinux.narod.ru/trash/fglrx/fglrx15.1_src_fix.tar.bz2


Every other patch/kernel combinations I got erros, panics, segfaults, etc.

Now, I am using this kernel:

Code:
4.0.5-gentoo


with this driver

Code:
 x11-drivers/ati-drivers-15.1::gentoo was built with the following:
USE="modules qt4 -debug -gdm-hack -pax_kernel -static-libs" ABI_X86="64 -32"


Code:

 fglrxinfo
display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: AMD Radeon R7 M260
OpenGL version string: 4.4.13374 Compatibility Profile Context 14.501.1003


I do not know where this patch came from, but it worked to me.

This is my hardware, if someone want to test on similar:
Code:

dmesg | grep -i dmi
[    0.000000] DMI: Dell Inc. Inspiron 5548/07CCFC, BIOS A04 05/15/2015
lspci
00:00.0 Host bridge: Intel Corporation Broadwell-U Host Bridge -OPI (rev 09)
00:02.0 VGA compatible controller: Intel Corporation Broadwell-U Integrated Graphics (rev 09)
00:03.0 Audio device: Intel Corporation Broadwell-U Audio Controller (rev 09)
00:14.0 USB controller: Intel Corporation Wildcat Point-LP USB xHCI Controller (rev 03)
00:16.0 Communication controller: Intel Corporation Wildcat Point-LP MEI Controller #1 (rev 03)
00:1b.0 Audio device: Intel Corporation Wildcat Point-LP High Definition Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #1 (rev e3)
00:1c.2 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #3 (rev e3)
00:1c.3 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #4 (rev e3)
00:1c.4 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #5 (rev e3)
00:1d.0 USB controller: Intel Corporation Wildcat Point-LP USB EHCI Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation Wildcat Point-LP LPC Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation Wildcat Point-LP SATA Controller [AHCI Mode] (rev 03)
00:1f.3 SMBus: Intel Corporation Wildcat Point-LP SMBus Controller (rev 03)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 07)
03:00.0 Network controller: Intel Corporation Wireless 7265 (rev 59)
04:00.0 Display controller: Advanced Micro Devices, Inc. [AMD/ATI] Topaz XT [Radeon R7 M260/M265]

_________________
[]'s
eZ
Back to top
View user's profile Send private message
ezfranca
n00b
n00b


Joined: 20 Jun 2005
Posts: 9
Location: Brazil

PostPosted: Thu Sep 03, 2015 3:18 pm    Post subject: Reply with quote

Hi,

I did the procedure I posted before and got lots of this errors on the logs:
Code:

[drm:hsw_unclaimed_reg_detect.isra.18 [i915]] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem


I tried lots of combinations of kernel config and ati-drivers versions and it stopped after I did the following combination:


4.0.5 gentoo sources
Code:

# Direct Rendering Manager
#
CONFIG_DRM=m
CONFIG_DRM_MIPI_DSI=y
CONFIG_DRM_KMS_HELPER=m
CONFIG_DRM_KMS_FB_HELPER=y
# CONFIG_DRM_LOAD_EDID_FIRMWARE is not set

#
# I2C encoder or helper chips
#
# CONFIG_DRM_I2C_ADV7511 is not set
# CONFIG_DRM_I2C_CH7006 is not set
# CONFIG_DRM_I2C_SIL164 is not set
# CONFIG_DRM_I2C_NXP_TDA998X is not set
# CONFIG_DRM_TDFX is not set
# CONFIG_DRM_R128 is not set
# CONFIG_DRM_RADEON is not set
# CONFIG_DRM_NOUVEAU is not set
CONFIG_DRM_I915=m
CONFIG_DRM_I915_KMS=y
CONFIG_DRM_I915_FBDEV=y
# CONFIG_DRM_I915_PRELIMINARY_HW_SUPPORT is not set
# CONFIG_DRM_MGA is not set
# CONFIG_DRM_VIA is not set
# CONFIG_DRM_SAVAGE is not set
# CONFIG_DRM_VMWGFX is not set
# CONFIG_DRM_GMA500 is not set
# CONFIG_DRM_UDL is not set
# CONFIG_DRM_AST is not set
# CONFIG_DRM_MGAG200 is not set
# CONFIG_DRM_CIRRUS_QEMU is not set
# CONFIG_DRM_QXL is not set
# CONFIG_DRM_BOCHS is not set
CONFIG_DRM_PANEL=y


all this with the 15.7 ati-drivers, compiled with the patch I mentioned before.

Thank you all.
_________________
[]'s
eZ
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7550
Location: Goose Creek SC

PostPosted: Mon Sep 14, 2015 6:42 am    Post subject: Reply with quote

Fernando Rodriguez has a solution at https://github.com/fernando-rodriguez/portage-overlay/tree/master/x11-drivers/ati-drivers . It has been tested on amd64 and compiles, installs, and runs on kernels 3.18.16, 4.1.6, and 4.2. It appears ready for addition to the testing branch. His work has no EXPORT_SYMBOL_GPL issues. It supports glxinfo and glxgears on kernel-4.2 . Manual download from the amd driver page is required. Fetch instructions are in the ebuild. Thanks, Fernando.
I have obsoleted my less effective offerings.
_________________
Defund the FCC.
Back to top
View user's profile Send private message
deltamalloc
Apprentice
Apprentice


Joined: 18 Jan 2013
Posts: 279

PostPosted: Sat Sep 19, 2015 8:43 pm    Post subject: Reply with quote

DONAHUE wrote:
Fernando Rodriguez has a solution at https://github.com/fernando-rodriguez/portage-overlay/tree/master/x11-drivers/ati-drivers . It has been tested on amd64 and compiles, installs, and runs on kernels 3.18.16, 4.1.6, and 4.2. It appears ready for addition to the testing branch. His work has no EXPORT_SYMBOL_GPL issues. It supports glxinfo and glxgears on kernel-4.2 . Manual download from the amd driver page is required. Fetch instructions are in the ebuild. Thanks, Fernando.
I have obsoleted my less effective offerings.


Fetch instructions are in the ebuild?

https://github.com/fernando-rodriguez/portage-overlay/blob/master/x11-drivers/ati-drivers/ati-drivers-15.9.ebuild

Where exactly are they? How do I use this solution?
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7550
Location: Goose Creek SC

PostPosted: Sun Sep 20, 2015 4:19 pm    Post subject: Reply with quote

At this moment:
There is an ati-drivers-15.9.ebuild and patch files in portage being worked on; the digest is wrong, epatch'es are missing in files.
Fernando Rodriguez has a working ati-drivers-15.9.ebuild and patch files in his local portage overlay at
https://github.com/fernando-rodriguez/portage-overlay .

What I did:
Downloaded the AMD Catalyst™ 15.9 Proprietary Linux Graphics Driver
http://support.amd.com/en-us/download/desktop?os=Linux%20x86_64
to /usr/portage/distfiles and ran
Code:
chown portage:portage /usr/portage/distfiles/amd-catalyst-15.9-linux-installer-15.201.1151-x86.x86_64.zip

Installed layman and then the X11 overlay following:
https://wiki.gentoo.org/wiki/Project:Overlays/User_Guide#Installing_layman .

Downloaded Fernando's overlay:
https://github.com/fernando-rodriguez/portage-overlay/archive/master.zip
to /root/Downloads/portage-overlay-master.zip . Then ran
Code:
unzip /root/Downloads/portage-overlay-master.zip
to create directory: /root/Downloads/portage-overlay-master .
Then ran:
Code:
cp -ar /root/Downloads/portage-overlay-master/x11-drivers/ati-drivers/* /var/lib/layman/x11/x11-drivers/ati-drivers/
to update ebuilds and patch files to Fernando's. Then ran:
Code:
ebuild /var/lib/layman/x11/x11-drivers/ati-drivers/ati-drivers-15.9.ebuild manifest
to update the digest.

Ran:
Code:
echo "x11-drivers/ati-drivers ~amd64" >> /etc/portage/package.keywords

I then tested Fernando's work against kernels gentoo-sources-3.18.6, gentoo-sources-4.1.6, gentoo-sources-4.2.0-r1, git-sources-4.2-rc8, git-sources-4.3-rc1. All compiled, installed, ran xfce4, and ran glxinfo and glxgears. GUI performance was snappy in xfce4.
_________________
Defund the FCC.
Back to top
View user's profile Send private message
deltamalloc
Apprentice
Apprentice


Joined: 18 Jan 2013
Posts: 279

PostPosted: Sun Sep 20, 2015 4:50 pm    Post subject: Reply with quote

DONAHUE wrote:
At this moment:
There is an ati-drivers-15.9.ebuild and patch files in portage being worked on; the digest is wrong, epatch'es are missing in files.
Fernando Rodriguez has a working ati-drivers-15.9.ebuild and patch files in his local portage overlay at
https://github.com/fernando-rodriguez/portage-overlay .

What I did:
Downloaded the AMD Catalyst™ 15.9 Proprietary Linux Graphics Driver
http://support.amd.com/en-us/download/desktop?os=Linux%20x86_64
to /usr/portage/distfiles and ran
Code:
chown portage:portage /usr/portage/distfiles/amd-catalyst-15.9-linux-installer-15.201.1151-x86.x86_64.zip

Installed layman and then the X11 overlay following:
https://wiki.gentoo.org/wiki/Project:Overlays/User_Guide#Installing_layman .

Downloaded Fernando's overlay:
https://github.com/fernando-rodriguez/portage-overlay/archive/master.zip
to /root/Downloads/portage-overlay-master.zip . Then ran
Code:
unzip /root/Downloads/portage-overlay-master.zip
to create directory: /root/Downloads/portage-overlay-master .
Then ran:
Code:
cp -ar /root/Downloads/portage-overlay-master/x11-drivers/ati-drivers/* /var/lib/layman/x11/x11-drivers/ati-drivers/
to update ebuilds and patch files to Fernando's. Then ran:
Code:
ebuild /var/lib/layman/x11/x11-drivers/ati-drivers/ati-drivers-15.9.ebuild manifest
to update the digest.

Ran:
Code:
echo "x11-drivers/ati-drivers ~amd64" >> /etc/portage/package.keywords

I then tested Fernando's work against kernels gentoo-sources-3.18.6, gentoo-sources-4.1.6, gentoo-sources-4.2.0-r1, git-sources-4.2-rc8, git-sources-4.3-rc1. All compiled, installed, ran xfce4, and ran glxinfo and glxgears. GUI performance was snappy in xfce4.


Thanks for the help.

I cannot get past the step to update the digest, namely this command:

Code:
ebuild /var/lib/layman/x11/x11-drivers/ati-drivers/ati-drivers-15.9.ebuild manifest


I keep getting "connection timed out". It insists on downloading amd-catalyst-14-4-linux-x86-x86-64.zip:

Code:

>>> Downloading 'http://gentoo.osuosl.org/distfiles/amd-catalyst-14-4-linux-x86-x86-64.zip'
--2015-09-20 18:47:08--  http://gentoo.osuosl.org/distfiles/amd-catalyst-14-4-linux-x86-x86-64.zip
Resolving gentoo.osuosl.org... 64.50.233.100, 64.50.236.52
Connecting to gentoo.osuosl.org|64.50.233.100|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2015-09-20 18:47:08 ERROR 404: Not Found.

>>> Downloading 'http://ftp.halifax.rwth-aachen.de/gentoo/distfiles/amd-catalyst-14-4-linux-x86-x86-64.zip'
--2015-09-20 18:47:08--  http://ftp.halifax.rwth-aachen.de/gentoo/distfiles/amd-catalyst-14-4-linux-x86-x86-64.zip
Resolving ftp.halifax.rwth-aachen.de... 137.226.34.42
Connecting to ftp.halifax.rwth-aachen.de|137.226.34.42|:80... failed: Connection timed out.
Retrying.


I have tried to update the mirror list, but it ignores this and uses http://ftp.halifax.rwth-aachen.de regardless.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7550
Location: Goose Creek SC

PostPosted: Sun Sep 20, 2015 6:10 pm    Post subject: Reply with quote

Code:
 ls /var/lib/layman/x11/x11-drivers/ati-drivers/
should produce
Quote:
ati-drivers-14.12-r3.ebuild ati-drivers-15.7-r1.ebuild Manifest
ati-drivers-15.1.ebuild ati-drivers-15.9.ebuild
ati-drivers-15.7.ebuild files
if you have ati-drivers-14.4.ebuild (or similar) remove it
Code:
rm -rf /usrportage/x11-drivers/ati-drivers/ati-drivers-14.4
and any relatives and
Code:
ebuild /var/lib/layman/x11/x11-drivers/ati-drivers/ati-drivers-15.9.ebuild manifest
and continue.

Alternate : direct download : http://ftp.osuosl.org/pub/funtoo/distfiles/amd-catalyst-14-4-linux-x86-x86-64.zip to /usr/portage/distfiles and
Code:
chown portage:portage /usr/portage/distfiles/amd-catalyst-14-4-linux-x86-x86-64.zip
and
Code:
ebuild /var/lib/layman/x11/x11-drivers/ati-drivers/ati-drivers-15.9.ebuild manifest

_________________
Defund the FCC.
Back to top
View user's profile Send private message
deltamalloc
Apprentice
Apprentice


Joined: 18 Jan 2013
Posts: 279

PostPosted: Tue Sep 22, 2015 11:49 pm    Post subject: Reply with quote

Thanks, that worked.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7550
Location: Goose Creek SC

PostPosted: Wed Sep 23, 2015 2:52 pm    Post subject: Reply with quote

The portage tree has now incorporated Fernando Rodriguez' outstanding work as ati-drivers-15.9-r1 .
If you have implemented user patches for ati-drivers (as part of our 4 month struggle), suggest run
Code:
rm -rf /etc/portage/patches/x11-drivers/ati-drivers*
No longer needed and may cause problems.
AMD still has fetch restrictions imposed on the AMD Catalyst™ 15.9 Proprietary Linux Graphics Driver requiring a manual download of the AMD Catalyst™ 15.9 Proprietary Linux Graphics Driver from
http://support.amd.com/en-us/download/desktop?os=Linux%20x86_64
to /usr/portage/distfiles . After the download run:
Code:
chown portage:portage /usr/portage/distfiles/amd-catalyst-15.9-linux-installer-15.201.1151-x86.x86_64.zip
echo "ati-drivers ~amd64" >> /etc/portage/package.keywords
emerge --sync
emerge -1av ati-drivers

_________________
Defund the FCC.
Back to top
View user's profile Send private message
*_-=Banana=-_*
Apprentice
Apprentice


Joined: 21 May 2004
Posts: 201
Location: Germany

PostPosted: Sat Oct 31, 2015 11:15 am    Post subject: Reply with quote

well after some long years without gentoo I'm back :-)

The problem is I have a new laptop and cant get he ATI drivers to work.

I have:
Code:
x11-drivers/ati-drivers
Latest version available: 15.9-r1
Latest version installed: [ Not Installed ]


and
Code:
4.2.5-gentoo


and
Code:
sys-kernel/linux-headers
Latest version installed: 4.2


and did what DONAHUE said in the last reply.

Now I get the following:
Code:
*   CONFIG_DRM must be disabled or compiled as a
 *       module and not loaded for direct rendering to work.
 * Please check to make sure these options are set correctly.
 * Failure to do so may cause unexpected problems.
 *   CONFIG_DRM must be disabled or compiled as a
 *       module and not loaded for direct rendering to work.
 * Please check to make sure these options are set correctly.
 * Failure to do so may cause unexpected problems.


BUT:
Quote:
CONFIG_DRM=m
CONFIG_DRM_MIPI_DSI=y
CONFIG_DRM_KMS_HELPER=m
CONFIG_DRM_KMS_FB_HELPER=y
# CONFIG_DRM_LOAD_EDID_FIRMWARE is not set
# CONFIG_DRM_I2C_ADV7511 is not set
# CONFIG_DRM_I2C_CH7006 is not set
# CONFIG_DRM_I2C_SIL164 is not set
# CONFIG_DRM_I2C_NXP_TDA998X is not set
# CONFIG_DRM_TDFX is not set
# CONFIG_DRM_R128 is not set
# CONFIG_DRM_RADEON is not set
# CONFIG_DRM_AMDGPU is not set
# CONFIG_DRM_NOUVEAU is not set
CONFIG_DRM_I915=m
CONFIG_DRM_I915_KMS=y
CONFIG_DRM_I915_FBDEV=y
# CONFIG_DRM_I915_PRELIMINARY_HW_SUPPORT is not set
# CONFIG_DRM_MGA is not set
# CONFIG_DRM_VIA is not set
# CONFIG_DRM_SAVAGE is not set
# CONFIG_DRM_VGEM is not set
# CONFIG_DRM_VMWGFX is not set
# CONFIG_DRM_GMA500 is not set
# CONFIG_DRM_UDL is not set
# CONFIG_DRM_AST is not set
# CONFIG_DRM_MGAG200 is not set
# CONFIG_DRM_CIRRUS_QEMU is not set
# CONFIG_DRM_QXL is not set
# CONFIG_DRM_BOCHS is not set
CONFIG_DRM_PANEL=y


So, what am I missing here?

Here is also the lspci output
Code:
00:00.0 Host bridge: Intel Corporation Broadwell-U Host Bridge -OPI (rev 09)
00:02.0 VGA compatible controller: Intel Corporation Broadwell-U Integrated Graphics (rev 09)
00:03.0 Audio device: Intel Corporation Broadwell-U Audio Controller (rev 09)
00:14.0 USB controller: Intel Corporation Wildcat Point-LP USB xHCI Controller (rev 03)
00:16.0 Communication controller: Intel Corporation Wildcat Point-LP MEI Controller #1 (rev 03)
00:1b.0 Audio device: Intel Corporation Wildcat Point-LP High Definition Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #1 (rev e3)
00:1c.1 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #2 (rev e3)
00:1c.2 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #3 (rev e3)
00:1c.3 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #4 (rev e3)
00:1c.4 PCI bridge: Intel Corporation Wildcat Point-LP PCI Express Root Port #5 (rev e3)
00:1d.0 USB controller: Intel Corporation Wildcat Point-LP USB EHCI Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation Wildcat Point-LP LPC Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation Wildcat Point-LP SATA Controller [AHCI Mode] (rev 03)
00:1f.3 SMBus: Intel Corporation Wildcat Point-LP SMBus Controller (rev 03)
02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS5229 PCI Express Card Reader (rev 01)
08:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 10)
09:00.0 Network controller: Qualcomm Atheros QCA9565 / AR9565 Wireless Network Adapter (rev 01)
0a:00.0 Display controller: Advanced Micro Devices, Inc. [AMD/ATI] Sun LE [Radeon HD 8550M / R5 M230]


I use the intel onboard chip right now.
_________________
My personal space
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7550
Location: Goose Creek SC

PostPosted: Sat Oct 31, 2015 2:47 pm    Post subject: Reply with quote

Quote:
* CONFIG_DRM must be disabled or compiled as a
* module and not loaded for direct rendering to work.
* Please check to make sure these options are set correctly.
* Failure to do so may cause unexpected problems.
Should be considered informational/warning not error.
What happened when you rebooted after emerging ati-drivers? Noting ati-drivers is not currently installed.

I don't have a dual graphics notebook. I do know that kernel-4.2.5 and ati-drivers-15.9-r1 are compatible (with single card and a8 and a10 integrated graphics).

Quote:
Device Drivers --->
[*] X86 Platform Specific Device Drivers --->
in menuconfig contains support for laptop features. Recommend a visit if you have not been there.
_________________
Defund the FCC.
Back to top
View user's profile Send private message
*_-=Banana=-_*
Apprentice
Apprentice


Joined: 21 May 2004
Posts: 201
Location: Germany

PostPosted: Sat Oct 31, 2015 5:58 pm    Post subject: Reply with quote

Didn't tried .

This is the result:

Code:
* Preparing fglrx module
make -j9 HOSTCC=x86_64-pc-linux-gnu-gcc CROSS_COMPILE=x86_64-pc-linux-gnu- 'LDFLAGS=-m elf_x86_64' GCC_VER_MAJ=4 KVER=4.2.5-gentoo KDIR=/lib/modules/4.2.5-gentoo/build 'CFLAGS_MODULE+=-DMODULE -DATI -DFGL' CFLAGS_MODULE+=-DCOMPAT_ALLOC_USER_SPACE=arch_compat_alloc_user_space kmod_build
make -C /lib/modules/4.2.5-gentoo/build SUBDIRS=/var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory '/usr/src/linux-4.2.5-gentoo'
  CC [M]  /var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
  CC [M]  /var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.o
  CC [M]  /var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_agp.o
  CC [M]  /var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_debug.o
  CC [M]  /var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_ioctl.o
  CC [M]  /var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_io.o
  CC [M]  /var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_str.o
  CC [M]  /var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_pci.o
  CC [M]  /var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_iommu.o
  CC [M]  /var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl.o
  CC [M]  /var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_wait.o
/var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_iommu.c: In function ‘KCL_IOMMU_RestoreCBs’:
/var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_iommu.c:230:1: warning: control reaches end of non-void function [-Wreturn-type]
 }
 ^
/var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.c:839:20: warning: ‘KCL_ACPI_Slot_No_Hotplug’ defined but not used [-Wunused-function]
 static acpi_status KCL_ACPI_Slot_No_Hotplug(KCL_ACPI_DevHandle handle, u32 lvl, void *data, void **rv)
                    ^
  LD [M]  /var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/fglrx.o
  Building modules, stage 2.
  MODPOST 1 modules
  CC      /var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/fglrx.mod.o
  LD [M]  /var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/fglrx.ko
make[1]: Leaving directory '/usr/src/linux-4.2.5-gentoo'
 * Building fgl_glxgears ...
/usr/lib/gcc/x86_64-pc-linux-gnu/4.9.3/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lGL
collect2: error: ld returned 1 exit status
 * ERROR: x11-drivers/ati-drivers-15.9-r1::gentoo failed (compile phase):
 *   fgl_glxgears build failed
 *
 * Call stack:
 *     ebuild.sh, line  93:  Called src_compile
 *   environment, line 3718:  Called die
 * The specific snippet of code:
 *       "$(tc-getCC)" -o fgl_glxgears ${CFLAGS} ${LDFLAGS} -DUSE_GLU -I"${S}"/${FOLDER_PREFIX}usr/include fgl_glxgears.c -lGL -lGLU -lX11 -lm || die "fgl_glxgears build failed";
 *
 * If you need support, post the output of `emerge --info '=x11-drivers/ati-drivers-15.9-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=x11-drivers/ati-drivers-15.9-r1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work/extra/fgl_glxgears'
 * S: '/var/tmp/portage/x11-drivers/ati-drivers-15.9-r1/work'

_________________
My personal space
Back to top
View user's profile Send private message
*_-=Banana=-_*
Apprentice
Apprentice


Joined: 21 May 2004
Posts: 201
Location: Germany

PostPosted: Sat Oct 31, 2015 5:59 pm    Post subject: Reply with quote

eh..

after some google foo I found this:
Code:
eselect opengl set xorg-x11

http://www.linuxforums.org/forum/gentoo-linux/110478-help-ati-drivers.html

the emerge was a success after that. Now i gonna try loading....
_________________
My personal space
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7550
Location: Goose Creek SC

PostPosted: Sat Oct 31, 2015 6:40 pm    Post subject: Reply with quote

Brilliant find. You must be google's golden child.
_________________
Defund the FCC.
Back to top
View user's profile Send private message
*_-=Banana=-_*
Apprentice
Apprentice


Joined: 21 May 2004
Posts: 201
Location: Germany

PostPosted: Sat Oct 31, 2015 6:58 pm    Post subject: Reply with quote

thank you :D

I've managed to create xorg.conf file which uses the fglrx driver

Code:
Section "ServerLayout"
   Identifier     "aticonfig Layout"
   Screen      0  "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Monitor"
   Identifier   "aticonfig-Monitor[0]-0"
   Option       "VendorName" "ATI Proprietary Driver"
   Option       "ModelName" "Generic Autodetecting Monitor"
   Option       "DPMS" "true"
EndSection

Section "Device"
   Identifier  "aticonfig-Device[0]-0"
   Driver      "fglrx"
   BusID       "PCI:10:0:0"
EndSection

Section "Screen"
   Identifier "aticonfig-Screen[0]-0"
   Device     "aticonfig-Device[0]-0"
   Monitor    "aticonfig-Monitor[0]-0"
   DefaultDepth     24
   
   SubSection "Display"
      Viewport   0 0
      Depth     1
   EndSubSection
   SubSection "Display"
      Viewport   0 0
      Depth     4
   EndSubSection
   SubSection "Display"
      Viewport   0 0
      Depth     8
   EndSubSection
   SubSection "Display"
      Viewport   0 0
      Depth     15
   EndSubSection
   SubSection "Display"
      Viewport   0 0
      Depth     16
   EndSubSection
   SubSection "Display"
      Viewport   0 0
      Depth     24
   EndSubSection
EndSection

Section "Files"
   ModulePath   "/usr/lib64/xorg/modules"
   FontPath     "/usr/share/fonts/misc/"
   FontPath     "/usr/share/fonts/TTF/"
   FontPath     "/usr/share/fonts/OTF/"
   FontPath     "/usr/share/fonts/Type1/"
   FontPath     "/usr/share/fonts/100dpi/"
   FontPath     "/usr/share/fonts/75dpi/"
EndSection

Section "Module"
   Load  "glx"
EndSection

but using it will result in a black screen with a grey line in the upper left corner and a black mouse pointer. Moving the mouse works fine and in the xorg.log are no errors....


Using this xorg file with the intel driver, my xfce4 loads just fine. (I'm using startx and the .xinitrc file)

Code:
Section "ServerLayout"
   Identifier     "X.org Configured"
   Screen      0  "Screen0" 0 0
   InputDevice    "Mouse0" "CorePointer"
   InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
   ModulePath   "/usr/lib64/xorg/modules"
   FontPath     "/usr/share/fonts/misc/"
   FontPath     "/usr/share/fonts/TTF/"
   FontPath     "/usr/share/fonts/OTF/"
   FontPath     "/usr/share/fonts/Type1/"
   FontPath     "/usr/share/fonts/100dpi/"
   FontPath     "/usr/share/fonts/75dpi/"
EndSection

Section "Module"
   Load  "glx"
EndSection

Section "InputDevice"
   Identifier  "Keyboard0"
   Driver      "kbd"
EndSection

Section "InputDevice"
   Identifier  "Mouse0"
   Driver      "mouse"
   Option       "Protocol" "auto"
   Option       "Device" "/dev/input/mice"
   Option       "ZAxisMapping" "4 5 6 7"
EndSection

Section "Monitor"
   Identifier   "Monitor0"
   VendorName   "Monitor Vendor"
   ModelName    "Monitor Model"
EndSection

Section "Device"
        ### Available Driver options are:-
        ### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
        ### <string>: "String", <freq>: "<f> Hz/kHz/MHz",
        ### <percent>: "<f>%"
        ### [arg]: arg optional
        #Option     "NoAccel"               # [<bool>]
        #Option     "AccelMethod"           # <str>
        #Option     "Backlight"             # <str>
        #Option     "DRI"                   # <str>
        #Option     "Present"               # [<bool>]
        #Option     "ColorKey"              # <i>
        #Option     "VideoKey"              # <i>
        #Option     "Tiling"                # [<bool>]
        #Option     "LinearFramebuffer"     # [<bool>]
        #Option     "VSync"                 # [<bool>]
        #Option     "PageFlip"              # [<bool>]
        #Option     "SwapbuffersWait"       # [<bool>]
        #Option     "TripleBuffer"          # [<bool>]
        #Option     "XvPreferOverlay"       # [<bool>]
        #Option     "HotPlug"               # [<bool>]
        #Option     "ReprobeOutputs"        # [<bool>]
        #Option     "DeleteUnusedDP12Displays"    # [<bool>]
        #Option     "FallbackDebug"         # [<bool>]
        #Option     "DebugFlushBatches"     # [<bool>]
        #Option     "DebugFlushCaches"      # [<bool>]
        #Option     "DebugWait"             # [<bool>]
        #Option     "BufferCache"           # [<bool>]
   Identifier  "Card0"
   Driver      "intel"
   BusID       "PCI:0:2:0"
EndSection

Section "Screen"
   Identifier "Screen0"
   Device     "Card0"
   Monitor    "Monitor0"
   SubSection "Display"
      Viewport   0 0
      Depth     1
   EndSubSection
   SubSection "Display"
      Viewport   0 0
      Depth     4
   EndSubSection
   SubSection "Display"
      Viewport   0 0
      Depth     8
   EndSubSection
   SubSection "Display"
      Viewport   0 0
      Depth     15
   EndSubSection
   SubSection "Display"
      Viewport   0 0
      Depth     16
   EndSubSection
   SubSection "Display"
      Viewport   0 0
      Depth     24
   EndSubSection
EndSection

_________________
My personal space
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7550
Location: Goose Creek SC

PostPosted: Sat Oct 31, 2015 7:19 pm    Post subject: Reply with quote

eselect opengl list should now yield ati; eselect opencl list should now yield amd
My single graphic card Xorg.conf produced by running aticonfig --initial here:
Quote:
Section "ServerLayout"
Identifier "aticonfig Layout"
Screen 0 "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Module"
EndSection

Section "Monitor"
Identifier "aticonfig-Monitor[0]-0"
Option "VendorName" "ATI Proprietary Driver"
Option "ModelName" "Generic Autodetecting Monitor"
Option "DPMS" "true"
EndSection

Section "Device"
Identifier "aticonfig-Device[0]-0"
Driver "fglrx"
BusID "PCI:1:0:0"
EndSection

Section "Screen"
Identifier "aticonfig-Screen[0]-0"
Device "aticonfig-Device[0]-0"
Monitor "aticonfig-Monitor[0]-0"
DefaultDepth 24
SubSection "Display"
Viewport 0 0
Depth 24
EndSubSection
EndSection
If problem persists suggest PM to deltamalloc for his xorg.conf.
_________________
Defund the FCC.
Back to top
View user's profile Send private message
*_-=Banana=-_*
Apprentice
Apprentice


Joined: 21 May 2004
Posts: 201
Location: Germany

PostPosted: Sat Oct 31, 2015 7:31 pm    Post subject: Reply with quote

eselect opengl list
Code:
  [1]   ati *
  [2]   xorg-x11


eselect opencl list
Code:
Available OpenCL implementations:
  [1]   amd *


hmmm
_________________
My personal space
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7550
Location: Goose Creek SC

PostPosted: Sat Oct 31, 2015 9:31 pm    Post subject: Reply with quote

I would try running:
Code:
 aticonfig --initial
startx
wgetpaste -t /var/log/Xorg.0.log
post the url, maybe something will show

More fun with xorg.conf:
Code:
rm /etc/X11/xorg.conf
mkdir /etc/X11/xorg.conf.d
nano /etc/X11/xorg.conf.d/10-xorg.conf

edit to:
Quote:
Section "Device"
Identifier "aticonfig-Device[0]-0"
Driver "fglrx"
BusID "PCI:10:0:0"
EndSection
the minimal xorg.conf, the xorg configuration script does the rest. this minimal xorg.conf can also be located at /etc/X11/xorg.conf. If used with a different hardware arrangement the BusID line might need to change.
_________________
Defund the FCC.
Back to top
View user's profile Send private message
*_-=Banana=-_*
Apprentice
Apprentice


Joined: 21 May 2004
Posts: 201
Location: Germany

PostPosted: Sun Nov 01, 2015 8:11 am    Post subject: Reply with quote

thx.

here is the Xorg log from aticonfig --initial
https://bpaste.net/show/37b3245d3862

I have to manually switch back to the terminal and kill the process with strg/ctrl+c

and here is the log from within the xorg.conf.d with only the devide section in it.
https://bpaste.net/show/89ab4b56db71
_________________
My personal space
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7550
Location: Goose Creek SC

PostPosted: Sun Nov 01, 2015 8:57 am    Post subject: Reply with quote

Both xorg logs refer to bumblebee.
Quote:
Current Operating System: Linux bumblebee 4.2.5-gentoo #2 SMP Sat Oct 31 11:57:16 CET 2015 x86_64
AFAIK bumblebee was (is?) nvidia specific. Other than that your logs look better than mine. Does emerge -s bumblebee show bumblebee installed?
_________________
Defund the FCC.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Goto page Previous  1, 2, 3  Next
Page 2 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum